Bug 1122898 - Missing 'organization' tab from Roles --> Add_permission--> New Filter
Summary: Missing 'organization' tab from Roles --> Add_permission--> New Filter
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 10:43 UTC by Sachin Ghai
Modified: 2015-04-20 11:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-11 17:14:14 UTC


Attachments (Terms of Use)
UI shows Org_tab in beta build (20.58 KB, image/png)
2014-07-24 10:43 UTC, Sachin Ghai
no flags Details

Description Sachin Ghai 2014-07-24 10:43:27 UTC
Created attachment 920498 [details]
UI shows Org_tab in beta build

Description of problem:

I found a change in sat6 GA Snap1 build while debugging some of the existing UI auto test that the organization tab is missing under 'New Filter' page of a selected role.

However, it was there in sat6 beta, please see attachment.

Version-Release number of selected component (if applicable):
sat6 GA snap1

How reproducible:
always

Steps to Reproduce:
1. create a Role 
2. select the created role --> Add_permission--> New Filter
3.

Actual results:
Missing 'Organization' tab

Expected results:
we have some automation test that updates the 'organization' of selected role and now its failing. Not sure if its a expected change or a bug.

If its a expected change then feel free to close this bz, otherwise requesting a fix.

Additional info:

Comment 2 Dominic Cleal 2014-07-24 13:12:13 UTC
Are you using an admin or non-admin user (with certain rights) to view this page?  As far as I can see, nothing's changed here.  The only thing I can see that might be relevant is non-admin users require the view_organizations permission.

Please also attach foreman-debug.

Comment 3 Sachin Ghai 2014-07-28 06:10:32 UTC
I'm simply trying with admin user. and its reproducible with snap1.

Comment 4 Dominic Cleal 2014-07-28 13:05:35 UTC
What resource type are you using?  I can see it on resources that are scoped by org such as host/managed or config template.

Comment 5 Sachin Ghai 2015-04-20 11:06:55 UTC
clearing needinfo flag. its no longer a valid issue..


Note You need to log in before you can comment on or make changes to this bug.